Subject: Re: [PATCH 2/2] builtin/init-db: deprecate alias for git-init(1)

From: Phillip Wood <[email-masked]>
Date: Tue, 2 Jun 2026 14:12:58 +0100

On 02/06/2026 13:34, Patrick Steinhardt wrote:
> 
> That's entirely fair. My take on this is a bit different, as I think
> it's beneficial to accept a short-term adjustment for core contributors
> in favor of making stuff easier to discover/maintain going forward.
> > A new contributor would probably be quick to learn that every
> `cmd_foo()` entry point is named exactly the same as the subcommand
> name, but they will then eventually trip over the few exceptions like
> `cmd_init_db()` where that assumption doesn't hold.

Yes, those exceptions to the rule are annoying. Though they mostly exist 
for a good reason (code sharing between builtin commands), it would be 
nice to minimize them where we can.

Thanks

Phillip